Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "voice-isolator",
    "input": {
      "model": "elevenlabs-voice-isolator",
      "audio_url": "https://example.com/noisy-audio.mp3"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "voice-isolator",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per second
Toolvoice-isolator

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesvoice-isolator
input.modelstringYeselevenlabs-voice-isolator
input.audio_urlstringYesURL of the audio file to clean
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "voice-isolator",
    "input": {
      "model": "elevenlabs-voice-isolator",
      "audio_url": "https://example.com/noisy-audio.mp3"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "voice-isolator",
  "createdAt": "2024-01-15T10:30:00.000Z"
}